BOTCH-NATIVE(1)

NAME
botch-native - execute botch tools in the native phase

SYNOPSIS

botch-native [options] [architecture Packages Sources]

DESCRIPTION
Execute the botch tools to produce a build order for the native phase.

OPTIONS

-h, --help
    Display help.

-k, --keep
    Keep the temporary files

-c, --self-contained
    Do not work on the full repository but on a smaller self-contained repository

-O, --optuniv
    Calculate a self-contained repository with a minimal number of source packages

-G, --optgraph
    Calculate a dependency graph where each installation set contains the minimal number of unavailable binary packages.

-T, --timers
    time all program executions

-m, --allowsrcmismatch
    Allow binary packages to be associated with a source package of a different version than themselves

-e, --ignoresrclessbin
    Ignore binary packages without a source package.

-p, --no-drop
    Do not drop known droppable build dependencies

-s, --strong
    Calculate strong dependencies

-b, --sapsb
    Calculate strong articulation points and bridges

-f, --no-fixpoint
    Do not run fixpoint algorithm

-n, --clean
    Clean the repository beforehand

-l, --latest
    Select only the highest package versions

-w, --online
    Produce stat.html for online consumption

-a, --available=FILE
    Deb822 list of available binary packages

-o, --output=DIR
    Output directory. Default is the current directory

-t, --tmp=DIR
    Temporary directory. Default is created by mktemp(1)

-I, --deb-drop-b-d-indep
    Drop Build-Depends-Indep dependencies.

-v, --verbose
    Be more verbose

-d, --debug
    Maximum verbosity

-D, --develop
    Execute tools from the source checkout instead of $PATH

FILES
The following files will be placed in the output directory

buildgraph_acyclic.xml
    The output of botch-profile-build-fvs.

buildgraph.xml
    The output of botch-create-graph.

cyclic_src:*.xml
    The output of botch-profile-build-fvs.

fas The standard output of botch-extract-scc.

feedback_vertex_set.list
    The concatenated output of multiple runs of botch-find-fvs.

order1.lst
    The output of botch-build-fixpoint.

order2.lst
    The output of botch-partial-order.

remove.list
    The output of botch-fasofstats.

srcgraph_acyclic.xml
    buildgraph_acyclic.xml converted by botch-buildgraph2srcgraph.

srcgraph.xml
    buildgraph.xml converted by botch-buildgraph2srcgraph.

stats.html
    The standard output of botch-stat-html

stats.json
    The JSON output of botch-stat-html

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.